Loading...
Searching...
No Matches
l4virtio_config_hdr_t Struct Reference
L4 VIRTIO Interface » L4 VIRTIO Transport Layer

L4-VIRTIO config header, provided in shared data space. More...

`#include <virtio.h>`

Collaboration diagram for l4virtio_config_hdr_t:

## Data Fields

l4_uint32_t | magic
| magic value (must be 'virt').
l4_uint32_t | version
| VIRTIO version.
l4_uint32_t | device
| device ID
l4_uint32_t | vendor
| vendor ID
l4_uint32_t | dev_features
| device features windows selected by device_feature_sel
l4_uint32_t | num_queues
| number of virtqueues
l4_uint32_t | queues_offset
| offset of virtqueue config array

## Detailed Description

L4-VIRTIO config header, provided in shared data space.

Definition at line 132 of file virtio.h.

The documentation for this struct was generated from the following file:

- l4/l4virtio/virtio.h